## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
# Remove jack feature as rust-jack is uncompilable
# Remove asio feature that is windows only
%bcond_without check
%global debug_package %{nil}

%global crate cpal

Name:           rust-%{crate}
Version:        0.13.5
Release:        %autorelease
Summary:        Low-level cross-platform audio I/O library in pure Rust

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            https://crates.io/crates/cpal
Source:         %{crates_source}
# Initial patched metadata
# Remove other OS and wasm32 dependency
Patch0:         cpal-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Low-level cross-platform audio I/O library in pure Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE
%doc CHANGELOG.md README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+num-traits-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+num-traits-devel %{_description}

This package contains library source intended for building other packages which
use the "num-traits" feature of the "%{crate}" crate.

%files       -n %{name}+num-traits-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Feb 18 2022 Rémi Lauzier <remilauzier@protonmail.com> 0.13.5-2
- Reactivate test

* Fri Jan 28 2022 Rémi Lauzier <remilauzier@protonmail.com> 0.13.5-1
- Update to version 0.13.5; Fixes RHBZ#2047516

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.13.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Nov 03 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.13.4-2
- Bump alsa to version 0.6.0;

* Sun Aug 08 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.13.4-1
- Update to version 0.13.4; Fixes RHBZ#1991280

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.13.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 08 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.13.3-2
- Remove jack feature
- Fixes RHBZ#1980448

* Fri Jun 25 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.13.3-1
- Initial package

